clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::WithContext Class Reference

WithContext replaces Context::current() with a provided scope. More...

`#include <Context.h>`

## Public Member Functions
| WithContext (Context C)
| ~WithContext ()
| WithContext (const WithContext &)=delete
WithContext & | operator= (const WithContext &)=delete
| WithContext (WithContext &&)=delete
WithContext & | operator= (WithContext &&)=delete

## Detailed Description

WithContext replaces Context::current() with a provided scope.

When the WithContext is destroyed, the original scope is restored. For extending the current context with new value, prefer WithContextValue.

Definition at line 189 of file Context.h.

## Constructor & Destructor Documentation

## ◆ WithContext() [1/3]

clang::clangd::WithContext::WithContext | ( | Context | C | ) |
| inline

Definition at line 191 of file Context.h.

## ◆ ~WithContext()

clang::clangd::WithContext::~WithContext | ( |  | ) |
| inline

Definition at line 192 of file Context.h.

References clang::clangd::Key< Type >::operator=(), and clang::clangd::Context::swapCurrent().

## ◆ WithContext() [2/3]

clang::clangd::WithContext::WithContext | ( | const WithContext & |  | ) |
| delete

## ◆ WithContext() [3/3]

clang::clangd::WithContext::WithContext | ( | WithContext && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

WithContext& clang::clangd::WithContext::operator= | ( | const WithContext & |  | ) |
| delete

## ◆ operator=() [2/2]

WithContext& clang::clangd::WithContext::operator= | ( | WithContext && |  | ) |
| delete

The documentation for this class was generated from the following file:

- Context.h